#!/bin/sh

TOMCAT_PID=/usr/local/AppCentral/tomcat/tomcat.pid
CATALINA_NAME=Tomcat
CATALINA_START_SCRIPT=/usr/local/AppCentral/tomcat/bin/startup.sh
CATALINA_STOP_SCRIPT=/usr/local/AppCentral/tomcat/bin/shutdown.sh


case $1 in

	start)
		if [ -r $CATALINA_START_SCRIPT ]; then
			echo "Starting $CATALINA_NAME..."
			$CATALINA_START_SCRIPT start
			
		else
			echo "$0: cannot start $CATALINA_NAME -- $CATALINA_START_SCRIPT missing"
		fi
		;;

	stop)
		if [ -r $CATALINA_STOP_SCRIPT ]; then
			echo "Stopping $CATALINA_NAME..."
			$CATALINA_STOP_SCRIPT
			sleep 1
			rm $TOMCAT_PID			
		else
			echo "$0: Cannot stop $CATALINA_NAME -- $CATALINA_STOP_SCRIPT missing"
		fi
		
		
		
esac
exit 0
